<!--
Copyright (C) 2007, 2008, 2009, 2010 Heiko Bernloehr (FreeIT.de).

This file is part of ECS.

ECS is free software: you can redistribute it and/or modify it
under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

ECS is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with ECS. If not, see <http://www.gnu.org/licenses/>.
-->

<% if @ressource.errors.any? %>
  <div id="error_explanation">
    <h2><%= pluralize(@ressource.errors.count, "error") %> prohibited
      this Ressource from being updated</h2>
    <ul>
      <% @ressource.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
    </ul>
  </div>
<% end %>

<table>
<tr>
<td><label for="ressource_namespace" class="box2 table-resource-label">Namespace:</label></td>
<td><%= h form.text_field :namespace %></td>
</tr>

<tr>
<td><label for="ressource_ressource" class="box2 table-resource-label">Name:</label></td>
<td><%= h form.text_field :ressource %></td>
</tr>

<tr></tr>
<tr>
<td><label for="ressource_postrouted" class="box2 table-resource-label">Postrouted:</label></td>
<td><%= h form.check_box :postroute  %></td>
</tr>

<tr></tr>
<tr></tr>
<tr>
<td><label for="ressource_events" class="box2 table-resource-label">Events:</label></td>
<td><%= h form.check_box :events  %></td>
</tr>
</table>
